/*
 * xvgsprb.h   define exported routines from xvgsprb.c
 */

#ifndef BULL_XVGSPRB_H
#define BULL_XVGSPRB_H

// Data types

typedef struct {
    int subwidth;
    int subheight;
    long num_tiles;
    int subcount_w;
    int subcount_h;
    long *look_up_table;
    long datasize;
    unsigned char *data;
       } VGSPRITETILE;

typedef struct {
    int width;
    int height;
    unsigned char *data;
    unsigned char *alpha;
       } MAPTILE;

typedef struct {
    long num_tiles;
    MAPTILE *tiles;
    unsigned char *palette;
       } MAPTILELIST;

// Routines
/*
void free_map_tiles_rawlist(MAPTILELIST *list);
int create_map_tiles_rawlist(MAPTILELIST *list,char *sprite_file_name,char *pal_file_name);
*/
int get_vgsprite_tile(char *pix_map,char *alpha_map, int num, VGSPRITETILE src);
int get_vgsprite_subtile(unsigned char *pix_map,unsigned char *alpha_map, unsigned char *src_buf, int src_bufsize, int width, int height);
void fill_sprite_subtile(unsigned char *pix_map,unsigned char *alpha_map, int width, int height, int hstart);

// Error returns

#define VGSPRBLK_CANNOT_OPEN_DAT -1
#define VGSPRBLK_CONTENT_BAD_DAT -2
#define VGSPRBLK_CANNOT_OPEN_PAL -3
#define VGSPRBLK_CONTENT_BAD_PAL -4


#endif
